/ comp / gb / string[] / join
String[].Join (gb)
Syntax

    FUNCTION Join ( [ Separator AS String, Escape AS String ] ) AS String

Concatenates the strings stored in the arrays.

- Separator is a string that will be inserted between each string of the array. The default separator is a comma.

- Escape is used for enclosing each string. If Escape contains two characters, then the first is the starting escape character, and the second the ending one.

| Escape characters inside strings are duplicated.

This function is the contrary of the Split subroutine.

### Examples

    DIM aClaim AS String[]

    aClaim = [ "Gambas", "Almost", "Means", "Basic", "!" ]
    PRINT aClaim.Join("/")
    PRINT aClaim.Join(",", "!")
    <hr>Gambas/Almost/Means/Basic/!
    !Gambas!,!Almost!,!Means!,!Basic!,!!!!

### See also

Split